Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.layout.content
Class ItemExecutorWrapper

    java.lang.Object
      org.eclipse.birt.report.engine.extension.ReportItemExecutorBase
          org.eclipse.birt.report.engine.layout.content.ItemExecutorWrapper

All Implemented Interfaces:
  IReportItemExecutor

    public class ItemExecutorWrapper

extends org.eclipse.birt.report.engine.extension.ReportItemExecutorBase

Field Summary
`protected IContent` | `content`
`protected IReportItemExecutor` | `executor`

Constructor Summary
`ItemExecutorWrapper(IReportItemExecutor executor, IContent content)`

Method Summary
`void` | `close()` close the executor, if the executor is closed, all sub executor will be terminate also.
`IContent` | `execute()` execute the report item
`IReportItemExecutor` | `getNextChild()` return the next child's executor
`boolean` | `hasNextChild()` does the executor has child executor

Methods inherited from class org.eclipse.birt.report.engine.extension.ReportItemExecutorBase
`getContent, getContext, getModelObject, getParent, getQueryResults, setContext, setModelObject, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### executor

    protected IReportItemExecutor executor

### content

    protected IContent content

Constructor Detail

### ItemExecutorWrapper

    public ItemExecutorWrapper(IReportItemExecutor executor,
                               IContent content)

Method Detail

### close

    public void close()
               throws org.eclipse.birt.core.exception.BirtException

  Description copied from interface: `IReportItemExecutor`
  close the executor, if the executor is closed, all sub executor will be terminate also.

  Specified by:
    `close` in interface `IReportItemExecutor`
  Overrides:
    `close` in class `org.eclipse.birt.report.engine.extension.ReportItemExecutorBase`
  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### execute

    public IContent execute()

  Description copied from interface: `IReportItemExecutor`
  execute the report item

### getNextChild

    public IReportItemExecutor getNextChild()
                                     throws org.eclipse.birt.core.exception.BirtException

  Description copied from interface: `IReportItemExecutor`
  return the next child's executor

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### hasNextChild

    public boolean hasNextChild()
                         throws org.eclipse.birt.core.exception.BirtException

  Description copied from interface: `IReportItemExecutor`
  does the executor has child executor

  Returns:
  Throws:
    `org.eclipse.birt.core.exception.BirtException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.